backup-bot-two (2.0.0)

Published 2024-04-15 02:02:37 +00:00 by 3wordchant in coop-cloud/backup-bot-two

Installation

docker pull git.coopcloud.tech/coop-cloud/backup-bot-two:2.0.0
sha256:bb3ff5bd224a8cfee3c0f8ca5b0b9fec6304a77e859c0c41962fa76d244c6e4b

Image Layers

ADD file:1f4eb46669b5b6275af19eb7471a6899a61c276aa7d925b8ae99310b14b75b92 in /
CMD ["/bin/sh"]
RUN /bin/sh -c apk add --no-cache ca-certificates openssh-client # buildkit
RUN /bin/sh -c [ -e /etc/nsswitch.conf ] && grep '^hosts: files dns' /etc/nsswitch.conf # buildkit
RUN /bin/sh -c set -eux; addgroup -g 2375 -S docker # buildkit
ENV DOCKER_VERSION=24.0.7
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-24.0.7.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-24.0.7.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-24.0.7.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-24.0.7.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner 'docker/docker' ; rm docker.tgz; docker --version # buildkit
ENV DOCKER_BUILDX_VERSION=0.12.1
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.12.1/buildx-v0.12.1.linux-amd64'; sha256='716321df8ca9c82ffe96f37e9f4aa1199d4969795836dbd57ef72d12e3ac5085'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.12.1/buildx-v0.12.1.linux-arm-v6'; sha256='4b3c78b59c0383ab21327e2902af2ea317e3b85e442b1cd776f0c2a7bbbb2999'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.12.1/buildx-v0.12.1.linux-arm-v7'; sha256='fe0a9e7812051a72c47d009bf9373e76e23644cc3291c848ac4a9b6f237e9e75'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.12.1/buildx-v0.12.1.linux-arm64'; sha256='fb72d627f2ee080bba70375c367f4292867821e29ca9a8cf485622f6ede8f436'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.12.1/buildx-v0.12.1.linux-ppc64le'; sha256='1c649498d727183d82fb243e08856533ea90e8d63bfcd6f8b23b264dbcf7ea7a'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.12.1/buildx-v0.12.1.linux-riscv64'; sha256='152e7b423c1ce888eb0a658321eb8c28cc1d09af01acd5c66eddf8474dddf55c'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.12.1/buildx-v0.12.1.linux-s390x'; sha256='acee98a9f0550bf2c6c1161cf8067c031ddf0c566c41de7db27847bb72e8ee0b'; ;; *) echo >&2 "warning: unsupported 'docker-buildx' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-buildx' "$url"; echo "$sha256 *"'docker-buildx' | sha256sum -c -; plugin='/usr/local/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-buildx' "$plugin"; chmod +x "$plugin"; docker buildx version # buildkit
ENV DOCKER_COMPOSE_VERSION=2.24.3
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v2.24.3/docker-compose-linux-x86_64'; sha256='49b3b71e4428585f75294a83702d259f442a8fcdb2351864c6dcaa3f7e29b3aa'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v2.24.3/docker-compose-linux-armv6'; sha256='20cf111b8f28dc0e5b390ef6685c5504fc243597737ca46dac27e19e3f34190d'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v2.24.3/docker-compose-linux-armv7'; sha256='d08bc3066c07effc6e7115197ce410d16c6c0974d5a746f0c6d02bc4c10b8348'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v2.24.3/docker-compose-linux-aarch64'; sha256='c5a2bdf09db39c2aaf820ed9d6bab0ee9de187411ab37b869a7df20d3dbbceed'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v2.24.3/docker-compose-linux-ppc64le'; sha256='e7e39ebbc2c42d17d5e6a2938f3ed9c5989380d569b84bbcc916000ec276527d'; ;; 'riscv64') url='https://github.com/docker/compose/releases/download/v2.24.3/docker-compose-linux-riscv64'; sha256='5b9a52806b8363d170770548ca7baf25c1f96dca1da837265b2a42989c323e32'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v2.24.3/docker-compose-linux-s390x'; sha256='258e548656bbce1a44459fcf579927b59a17b284e730d680843c19a699bf7739'; ;; *) echo >&2 "warning: unsupported 'docker-compose' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-compose' "$url"; echo "$sha256 *"'docker-compose' | sha256sum -c -; plugin='/usr/local/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-compose' "$plugin"; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version # buildkit
COPY modprobe.sh /usr/local/bin/modprobe # buildkit
COPY docker-entrypoint.sh /usr/local/bin/ # buildkit
ENV DOCKER_TLS_CERTDIR=/certs
RUN /bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client # buildkit
ENTRYPOINT ["docker-entrypoint.sh"]
CMD ["sh"]
RUN /bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi # buildkit
RUN /bin/sh -c set -eux; apk add --no-cache iptables-legacy; mkdir -p /usr/local/sbin/.iptables-legacy; for f in iptables iptables-save iptables-restore ip6tables ip6tables-save ip6tables-restore ; do b="/sbin/${f/tables/tables-legacy}"; "$b" --version; ln -svT "$b" "/usr/local/sbin/.iptables-legacy/$f"; done; export PATH="/usr/local/sbin/.iptables-legacy:$PATH"; iptables --version | grep legacy # buildkit
RUN /bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid # buildkit
RUN /bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-24.0.7.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-24.0.7.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-24.0.7.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-24.0.7.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner --exclude 'docker/docker' ; rm docker.tgz; dockerd --version; containerd --version; ctr --version; runc --version # buildkit
ENV DIND_COMMIT=65cfcc28ab37cb75e1560e4b4738719c07c6618e
RUN /bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind # buildkit
COPY dockerd-entrypoint.sh /usr/local/bin/ # buildkit
VOLUME [/var/lib/docker]
EXPOSE map[2375/tcp:{} 2376/tcp:{}]
ENTRYPOINT ["dockerd-entrypoint.sh"]
CMD []
RUN /bin/sh -c apk add --upgrade --no-cache restic bash python3 py3-pip py3-click py3-docker-py py3-json-logger curl # buildkit
RUN /bin/sh -c pip install --break-system-packages resticpy==1.0.2 # buildkit
COPY backupbot.py /usr/bin/backup # buildkit
COPY entrypoint.sh /entrypoint.sh # buildkit
ENTRYPOINT ["/bin/sh" "-c" "/entrypoint.sh"]

Labels

Key Value
org.opencontainers.image.created 2024-04-15T02:02:34Z
org.opencontainers.image.revision b2365ea824a75d958ad68352df90067192975007
org.opencontainers.image.source https://git.coopcloud.tech/coop-cloud/backup-bot-two.git
org.opencontainers.image.url https://git.coopcloud.tech/coop-cloud/backup-bot-two
Details
Container
2024-04-15 02:02:37 +00:00
40
OCI / Docker
linux/amd64
152 MiB
Versions (2) View all
2.0.0 2024-04-15
1.0.0 2024-04-10